- Qt 5.15
- Qt Core
- C++ Classes
- Connection
- Qt 5.15.19 Reference Documentation

# Connection Class

class QMetaObject::Connection

- List of all members, including inherited members

## Public Functions

| Connection(Connection &&o)
| Connection(const Connection &other)
| Connection()
Connection & | operator=(Connection &&other)
Connection & | operator=(const Connection &other)
| ~Connection()
bool | operator bool() const

## Detailed Description

Represents a handle to a signal-slot (or signal-functor) connection.

It can be used to check if the connection is valid and to disconnect it using QObject::disconnect(). For a signal-functor connection without a context object, it is the only way to selectively disconnect that connection.

As Connection is just a handle, the underlying signal-slot connection is unaffected when Connection is destroyed or reassigned.

## Member Function Documentation

### Connection::Connection(Connection &&o)

Move-constructs a Connection instance, making it point to the same object that o was pointing to.

### Connection::Connection(const Connection &other)

Create a copy of the handle to the other connection

### Connection::Connection()

Creates a Connection instance.

### Connection &Connection::operator=(Connection &&other)

Move-assigns other to this object, and returns a reference.

### Connection &Connection::operator=(const Connection &other)

Assigns other to this connection and returns a reference to this connection.

### Connection::~Connection()

Destructor for QMetaObject::Connection.

### bool Connection::operator bool() const

Returns `true` if the connection is valid.

The connection is valid if the call to QObject::connect succeeded. The connection is invalid if QObject::connect was not able to find the signal or the slot, or if the arguments do not match.